Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.util
Class Conversions

    java.lang.Object
      org.jboss.seam.util.Conversions

    public class Conversions

extends Object

Nested Class Summary
`static class` | `Conversions.ArrayConverter`
`static class` | `Conversions.AssociativePropertyValue`
`static class` | `Conversions.BigDecimalConverter`
`static class` | `Conversions.BigIntegerConverter`
`static class` | `Conversions.BooleanConverter`
`static class` | `Conversions.CharacterConverter`
`static class` | `Conversions.ClassConverter`
`static interface` | `Conversions.Converter<Z>`
`static class` | `Conversions.DoubleConverter`
`static class` | `Conversions.FlatPropertyValue`
`static class` | `Conversions.FloatConverter`
`static class` | `Conversions.IntegerConverter`
`static class` | `Conversions.ListConverter`
`static class` | `Conversions.LongConverter`
`static class` | `Conversions.MapConverter`
`static class` | `Conversions.MultiPropertyValue`
`static class` | `Conversions.PropertiesConverter`
`static interface` | `Conversions.PropertyValue`
`static class` | `Conversions.SetConverter`
`static class` | `Conversions.StringArrayConverter`
`static class` | `Conversions.StringConverter`

Constructor Summary
`Conversions()`

Method Summary
`static
`<Y> Conversions.Converter<Y>`
` | `getConverter(Class<Y> clazz)`
`static
`<Y> void`
` | `putConverter(Class<Y> type, Conversions.Converter<Y> converter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Conversions

    public Conversions()

Method Detail

### putConverter

    public static <Y> void putConverter(Class<Y> type,
                                        Conversions.Converter<Y> converter)

### getConverter

    public static <Y> Conversions.Converter<Y> getConverter(Class<Y> clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD